<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>DesktopTracker</name>
    <filename>classDesktopTracker.html</filename>
  </compound>
  <compound kind="class">
    <name>EditTaskDialog</name>
    <filename>classEditTaskDialog.html</filename>
  </compound>
  <compound kind="class">
    <name>HistoryEvent</name>
    <filename>classHistoryEvent.html</filename>
    <member kind="function">
      <type></type>
      <name>HistoryEvent</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>a88d02a28b767f7ca78503390df2bf43e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>duration</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>a0b3453cc88efd57c6d2aba1fad6e550a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IdleTimeDetector</name>
    <filename>classIdleTimeDetector.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setMaxIdle</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>aee5929bd06be255ea09790bf474ff3ff</anchor>
      <arglist>(int maxIdle)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startIdleDetection</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>a1ee14e6756fd95ca2b1ea00f89b4e97d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopIdleDetection</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>ad5e53c7ecaa371791e484473efd8953f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleOverAllIdleDetection</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>abe788ab718c6bfcfabefb28f717a8387</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>extractTime</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>a1c14010a08c5234c668493135c98ab92</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stopAllTimers</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>a3fe06c02ea71ec3d891059b5d88b337f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stopAllTimersAt</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>af722269d3a702a100fe6d5702bc9da0b</anchor>
      <arglist>(TQDateTime qdt)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdleTimeDetector</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>a4057503bac5d04834a74f11b42c9802d</anchor>
      <arglist>(int maxIdle)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIdleDetectionPossible</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>aef350c1a3ab19b9f8e18e8565e976086</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KarmDCOPIface</name>
    <filename>classKarmDCOPIface.html</filename>
  </compound>
  <compound kind="class">
    <name>karmPart</name>
    <filename>classkarmPart.html</filename>
    <base virtualness="virtual">KarmDCOPIface</base>
    <member kind="function">
      <type>void</type>
      <name>quit</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>abc728d8da93ef069218ab4bcac1a59ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>abb955c25e64cd8a0f2d7652331e6bf85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>version</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a9f546ebe3ff671b41823088434e14af3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>taskIdFromName</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a9992c005827c73a33a7ae58859f9b85e</anchor>
      <arglist>(const TQString &amp;taskName) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addTask</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a2d6eea25ce4fd12729dc50c681e028ed</anchor>
      <arglist>(const TQString &amp;taskName)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>setPerCentComplete</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a524d351e7d5ac76d6da611b9a2623048</anchor>
      <arglist>(const TQString &amp;taskName, int PerCent)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bookTime</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a6f446d62b395bf3f4b02a8a64a4f0c97</anchor>
      <arglist>(const TQString &amp;taskId, const TQString &amp;iso8601StartDateTime, long durationInMinutes)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getError</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a334450321f43ce7c6f85d3b6f90c71ec</anchor>
      <arglist>(int karmErrorNumber) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>totalMinutesForTaskId</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a73977b1008629b80ed85fc493c0bc427</anchor>
      <arglist>(const TQString &amp;taskId)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>starttimerfor</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a67ac6e3c644c67ab85c9b8b4f85beefe</anchor>
      <arglist>(const TQString &amp;taskname)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>stoptimerfor</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a93e7a855269dffd292d7c801052be1af</anchor>
      <arglist>(const TQString &amp;taskname)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>deletetodo</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>af3fea9360759625610bb5040e638b947</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getpromptdelete</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a2b2a23c3309f738eafa8e8725856c183</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>setpromptdelete</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>ab087a4ae7c03fb762a6e06d3ffe40890</anchor>
      <arglist>(bool prompt)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>exportcsvfile</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a4741f298d34ae2f02314fa900d1652bf</anchor>
      <arglist>(TQString filename, TQString from, TQString to, int type=0, bool decimalMinutes=true, bool allTasks=true, TQString delimiter=&quot;r&quot;, TQString quote=&quot;q&quot;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>importplannerfile</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>ae42d4d439201b6671e94ff1168c98e7b</anchor>
      <arglist>(TQString filename)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadWrite</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a01791cf560e8f1eece1acb7ce2b127f6</anchor>
      <arglist>(bool rw)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setModified</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a1bac947eb5ba82d424999090ca9db7de</anchor>
      <arglist>(bool modified)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>openFile</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>af16dcf6b1dc200325feb9823915103b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>saveFile</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a5284d929ced192174d47eaeaf0687acf</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KarmStorage</name>
    <filename>classKarmStorage.html</filename>
    <member kind="function">
      <type>TQString</type>
      <name>loadFromFlatFile</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a0a5a2a4253abe005bb242504b2fbdd05</anchor>
      <arglist>(TaskView *taskview, const TQString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>loadFromFlatFileCumulative</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a2111bdad8abb1a3858e596bf349334fc</anchor>
      <arglist>(TaskView *taskview, const TQString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>report</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>ab539d570f1fee360de1e99aa2fb66ebe</anchor>
      <arglist>(TaskView *taskview, const ReportCriteria &amp;rc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTime</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>abd6111b30d7c4930d8c6d7b9d4daf294</anchor>
      <arglist>(const Task *task, const long deltaSeconds)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>bookTime</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a6f2258e071e7a48625b69dcc8c61904d</anchor>
      <arglist>(const Task *task, const TQDateTime &amp;startDateTime, long durationInSeconds)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a3f3cc74da64040ef084338f2becf5692</anchor>
      <arglist>(const Task *task, const TQString &amp;oldname)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startTimer</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a905f23e1bab55b4493d237dfcc469134</anchor>
      <arglist>(const Task *task)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stopTimer</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a9d483f0354ffd05f76a40dd51435c9a3</anchor>
      <arglist>(const Task *task, TQDateTime when=TQDateTime::currentDateTime())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addComment</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>ae2057efe0aaa449866415e7d2f2f704e</anchor>
      <arglist>(const Task *task, const TQString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeTask</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a602128e1797fa4b69cf86ae2b5b57705</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>addTask</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a81084826af27d48ac7d1ae348c94ccac</anchor>
      <arglist>(const Task *task, const Task *parent)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a506bee62614f3e59f7eae9466876f2bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNewStorage</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a00c538c2c663ee5091deb15d3ecf525d</anchor>
      <arglist>(const Preferences *preferences) const</arglist>
    </member>
    <member kind="function">
      <type>TQValueList&lt; HistoryEvent &gt;</type>
      <name>getHistory</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>ab63c580f4c726cde17888acfc1881d84</anchor>
      <arglist>(const TQDate &amp;from, const TQDate &amp;to)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArmTimeWidget</name>
    <filename>classKArmTimeWidget.html</filename>
  </compound>
  <compound kind="class">
    <name>MainWindow</name>
    <filename>classMainWindow.html</filename>
    <base virtualness="virtual">KarmDCOPIface</base>
    <member kind="function">
      <type>TQString</type>
      <name>version</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a987a8b743dc4cb3fe0556dde544033ff</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>taskIdFromName</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>ac8f809a96114f1b0ce5fc8157ce47cee</anchor>
      <arglist>(const TQString &amp;taskName) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addTask</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a085dab02339baba4432f792c40c7983a</anchor>
      <arglist>(const TQString &amp;storage)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>setPerCentComplete</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a29fa9bc927d828c557e9a4dd8ccc6220</anchor>
      <arglist>(const TQString &amp;taskName, int PerCent)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bookTime</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a79aaa3bf93fc50366626eb190d265e75</anchor>
      <arglist>(const TQString &amp;taskId, const TQString &amp;iso8601StartDateTime, long durationInMinutes)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getError</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a9253b8559efddb0c014af26b7a577bf6</anchor>
      <arglist>(int karmErrorNumber) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>totalMinutesForTaskId</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a77fdeab82ff81e111b6d88b4aad166ad</anchor>
      <arglist>(const TQString &amp;taskId)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>starttimerfor</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>aa6b7793e406a544f3cb3480ced4a03ec</anchor>
      <arglist>(const TQString &amp;taskname)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>stoptimerfor</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a8ce7ee8206a53df011ec76a2f27615be</anchor>
      <arglist>(const TQString &amp;taskname)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>deletetodo</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>affcad7e86942183b013be128fc9d2e96</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getpromptdelete</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>ac971abda92a8dba0988407f780f86c01</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>setpromptdelete</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a3cb0efe648f36df0edc1c3000a2f1dd5</anchor>
      <arglist>(bool prompt)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>exportcsvfile</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a7623a5b13797c994e7ba63a989275772</anchor>
      <arglist>(TQString filename, TQString from, TQString to, int type, bool decimalMinutes, bool allTasks, TQString delimiter, TQString quote)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>importplannerfile</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>aea0b346f20a6206524e49e0f2c1497ec</anchor>
      <arglist>(TQString filename)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateTime</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>afa79fa9c4ab4310e6a1b8bfa96f7b13b</anchor>
      <arglist>(long, long)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MyPrinter</name>
    <filename>classMyPrinter.html</filename>
  </compound>
  <compound kind="class">
    <name>PlannerParser</name>
    <filename>classPlannerParser.html</filename>
    <member kind="function">
      <type></type>
      <name>PlannerParser</name>
      <anchorfile>classPlannerParser.html</anchorfile>
      <anchor>a8ae1f49ad8d9dcd8168cf3e3885b4464</anchor>
      <arglist>(TaskView *tv)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>startDocument</name>
      <anchorfile>classPlannerParser.html</anchorfile>
      <anchor>adcb6d32a133d9a6cc4dfa12b0b50a42b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>startElement</name>
      <anchorfile>classPlannerParser.html</anchorfile>
      <anchor>acbc5989c0aacae634e3b0feb8400e9b1</anchor>
      <arglist>(const TQString &amp;, const TQString &amp;, const TQString &amp;qName, const TQXmlAttributes &amp;att)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>endElement</name>
      <anchorfile>classPlannerParser.html</anchorfile>
      <anchor>abe774296adc35adac73528fa984b80ed</anchor>
      <arglist>(const TQString &amp;, const TQString &amp;, const TQString &amp;qName)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Preferences</name>
    <filename>classPreferences.html</filename>
  </compound>
  <compound kind="class">
    <name>ReportCriteria</name>
    <filename>classReportCriteria.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>REPORTTYPE</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>a36512d6df142d8f565ff3481716a4895</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>REPORTTYPE</type>
      <name>reportType</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>a9d58d3994764df4bd8e435448544a905</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>a7ed11ea6932032297409c5f831a4dd10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQDate</type>
      <name>from</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>af17a20d28cf4fff57b94e7cd9cdd1a3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQDate</type>
      <name>to</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>a40b2ddc9600d4b796a5486a595cda203</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>allTasks</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>a728d2340758d663c9e34ed6dc5579639</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>decimalMinutes</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>a0a40fd5022cc4bfde6c2f2b3f38d2178</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>delimiter</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>a8a1ffabb54a9543042b3d28bf275a47b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>quote</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>a37bf35e2a1c38bea729ca7c65bde6423</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Task</name>
    <filename>classTask.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>deletingTask</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>ae6ca164d2abc21da0695a33c9d476015</anchor>
      <arglist>(Task *thisTask)</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>firstChild</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a5fab698738d26d91e3f9205b41e10c4b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TaskView *</type>
      <name>taskView</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>ab6645d116e60ff07a5b3c214d51363b0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>uid</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>aa112e528e6412dc2915bb53e49d13406</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUid</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>af6d4ac6122db1224adf228e324a7cb38</anchor>
      <arglist>(const TQString uid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cut</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>ad999ac7a55fc18de3dae5804da154616</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>move</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>ac5b97ac4b67457341ee4c9e8b00e74f1</anchor>
      <arglist>(Task *destination)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>paste</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>ad38eca4755860b9e477dd54eb427cb9e</anchor>
      <arglist>(Task *destination)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>compare</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>abc2b8401bcab05d41f65a73213758474</anchor>
      <arglist>(TQListViewItem *i, int col, bool ascending) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a4bdbf1a80fc1172dd2a2545bca272b3a</anchor>
      <arglist>(long minutes, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a1be2a2bf84f843d70b33be28c10a4025</anchor>
      <arglist>(long minutesSession, long minutes, KarmStorage *storage=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTotalTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a958864b71ceb9134557fcecd1bb6c7df</anchor>
      <arglist>(long minutesSession, long minutes)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a3a6b331837192d762fcf06b45fd4b609</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQDateTime</type>
      <name>startTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a6243e934b077c96b63356699605592f3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startNewSession</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>af322e5b6ad97ee507f49a5096e202d46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a79a818c147864cd39fbcd6eff440bb06</anchor>
      <arglist>(const TQString &amp;name, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a5d1054b6a41d6ca3d091a2ae16da0c37</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>fullName</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a840ea62e0a333ad8cc3849bfc6459632</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a4ceb4bba9ac808a61e346031a6beac89</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRunning</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a4548c21b4bf8268e6426f1f9f4faa18f</anchor>
      <arglist>(bool on, KarmStorage *storage, TQDateTime whenStarted=TQDateTime::currentDateTime(), TQDateTime whenStopped=TQDateTime::currentDateTime())</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>ad6abe9097628c64d57347c1657e518c8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KCal::Todo *</type>
      <name>asTodo</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a69ec4f445ce0e314fd85a497e1b5662d</anchor>
      <arglist>(KCal::Todo *calendar) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addComment</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a04a4b6bfb2b289566d5fd49a6d99d6f9</anchor>
      <arglist>(TQString comment, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>comment</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>ae6bbf61f5fc1912c4615ecbe7cedfd64</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRoot</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a90d85fb662a860a34976cdca0c80fc3e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>remove</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>ae44d2eda45e20cfdc2568b7ef3b98b90</anchor>
      <arglist>(TQPtrList&lt; Task &gt; &amp;activeTasks, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPercentComplete</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>aab22020f954727f597dd7a610b9182d3</anchor>
      <arglist>(const int percent, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPixmapProgress</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a8440f07186682b23c1c1212a461a33ee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isComplete</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a465cfd298427ead3becc3911098f776c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeFromView</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a4d6979d0c0f706d202fcd78849d4fe07</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQDateTime</type>
      <name>lastStart</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a1acf9fc8ffa43645929ce56f7614723a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateActiveIcon</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a73851f2e76b40b6c99cfbe02752d8059</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TaskView</name>
    <filename>classTaskView.html</filename>
    <member kind="slot">
      <type>TQString</type>
      <name>save</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a86b284916e24f7c9d30fb1f613cc4b43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startCurrentTimer</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a639574ae0a0502e165b5ce3bab6dbd13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopCurrentTimer</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a31ddc7a863e428bf3edf5e2eb1a50de7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopAllTimers</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>ae3bb12fde718e07f246307aad386e3ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopAllTimersAt</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>ae83baf277e5a66d0527a1780f516b3cf</anchor>
      <arglist>(TQDateTime qdt)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a97a77780f5673be980ca7be887c9a436</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>af9e555020f3bb902780e2b0ffd1f42d9</anchor>
      <arglist>(TQString caption, Task *parent)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>refresh</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a62a6de5702b8772e6200ec447cf9b664</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>loadFromFlatFile</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a1729aefe766187c1efe34a8017cdca70</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>TQString</type>
      <name>importPlanner</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a5cd0e9d38867b170344aa8d1a48a2a60</anchor>
      <arglist>(TQString fileName=&quot;&quot;)</arglist>
    </member>
    <member kind="slot">
      <type>TQString</type>
      <name>report</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a7b363172f140249d221e0b6505b6dfdb</anchor>
      <arglist>(const ReportCriteria &amp;rc)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>exportcsvFile</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a8f8d52286b85e4c04b38247e9b6110bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>TQString</type>
      <name>exportcsvHistory</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a1f4d184ddb32a6a789f8c1eadb0e2cf4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newSubTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>ab4ea749d211bf7b025bea6ceb1ad34d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>KarmStorage *</type>
      <name>storage</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a03d27e96a50dcffa947644f49641f300</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>aa936059d9cee284f85e81b1df2207a34</anchor>
      <arglist>(bool markingascomplete=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reinstateTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>adc58f7358fbdb44a4d4a6f26890ba925</anchor>
      <arglist>(int completion)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>extractTime</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a75a6aee0e21b8165ead27b25e4dd555d</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>first_child</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a14ed65c493ba24247aa53d43893fe109</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>current_item</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a82bb571d4d102bc8ded980f141fa05de</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>item_at_index</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a9050454887e14a5c62725e23f242639d</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a9ccc61115265a6a73695be047a73f955</anchor>
      <arglist>(TQString filename=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeStorage</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a74fe4fed0700550fcfda0f5abb88d211</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startNewSession</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>af6127fd23064e1237a0589ca70978ae6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetTimeForAllTasks</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a46bf86d293a62ae07f78b3d62ffc608e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>count</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a1baadc861bc75b2aa06ce7351a03cefd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQValueList&lt; HistoryEvent &gt;</type>
      <name>getHistory</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>aeac71f581d812c80c83c57207e3129c4</anchor>
      <arglist>(const TQDate &amp;from, const TQDate &amp;to) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scheduleSave</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>acdacd37c9f4309ee0b2ff52e052792e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Preferences *</type>
      <name>preferences</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a03abf669a3d3a5a669cd2f8e0dcbcee0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>addTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a759b281f689825ec662db7c3ea7ef6ac</anchor>
      <arglist>(const TQString &amp;taskame, long total, long session, const DesktopList &amp;desktops, Task *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deletingTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a59851e18b84775a2f9e3a89ec477f425</anchor>
      <arglist>(Task *deletedTask)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startTimerFor</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>aa953d59610b3a7d541e066b396be8116</anchor>
      <arglist>(Task *task, TQDateTime startTime=TQDateTime::currentDateTime())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearActiveTasks</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a918b4d6f5147a80b9d60d57fc2ae0a8c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>iCalFileChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a0f0617070d8708d6690357a78258cbec</anchor>
      <arglist>(TQString file)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clipTotals</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a08c5630feb473c5b51a045b85185b616</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clipSession</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a823aa24a911391922c14549b2a886a96</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clipHistory</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>aa2f20d1a4ec54630840b0228f602a661</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>itemStateChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>acdbb510624b6f7402828e4c58bb6f3d0</anchor>
      <arglist>(TQListViewItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>iCalFileModified</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a2e887f2a1308134994ca9da82841ebcd</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TaskViewWhatsThis</name>
    <filename>classTaskViewWhatsThis.html</filename>
  </compound>
  <compound kind="class">
    <name>TDEAccelMenuWatch</name>
    <filename>classTDEAccelMenuWatch.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>updateMenus</name>
      <anchorfile>classTDEAccelMenuWatch.html</anchorfile>
      <anchor>aa8c2f0431f5f078409fba3bd61358d72</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TDEAccelMenuWatch</name>
      <anchorfile>classTDEAccelMenuWatch.html</anchorfile>
      <anchor>a4d9da4ca1f00183bba97178e19d1e8a4</anchor>
      <arglist>(TDEAccel *accel, TQObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TDEAccelMenuWatch</name>
      <anchorfile>classTDEAccelMenuWatch.html</anchorfile>
      <anchor>ae2181fc98034860d33f4477e540198e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMenu</name>
      <anchorfile>classTDEAccelMenuWatch.html</anchorfile>
      <anchor>a53b664e7e7ec7b56f9e771db1a197cea</anchor>
      <arglist>(TQPopupMenu *menu)</arglist>
    </member>
    <member kind="function">
      <type>TQPopupMenu *</type>
      <name>currentMenu</name>
      <anchorfile>classTDEAccelMenuWatch.html</anchorfile>
      <anchor>abd89d6927f6674f0e6088ba5bd8b7cf5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectAccel</name>
      <anchorfile>classTDEAccelMenuWatch.html</anchorfile>
      <anchor>a1dea291d77d608b044cb4a5b79a6fbbf</anchor>
      <arglist>(int itemId, const char *action)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectAccel</name>
      <anchorfile>classTDEAccelMenuWatch.html</anchorfile>
      <anchor>a37a9c676923514df98df30f942f655b7</anchor>
      <arglist>(int itemId, TDEStdAccel::StdAccel)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TimeKard</name>
    <filename>classTimeKard.html</filename>
    <member kind="function">
      <type>TQString</type>
      <name>totalsAsText</name>
      <anchorfile>classTimeKard.html</anchorfile>
      <anchor>ab5bbdb067093af3f9d51b09200167368</anchor>
      <arglist>(TaskView *taskview, bool justThisTask, WhichTime which)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>historyAsText</name>
      <anchorfile>classTimeKard.html</anchorfile>
      <anchor>ac032357779b7e8d9cfe8d4b57cb6fc17</anchor>
      <arglist>(TaskView *taskview, const TQDate &amp;from, const TQDate &amp;to, bool justThisTask, bool perWeek, bool totalsOnly)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Week</name>
    <filename>classWeek.html</filename>
    <member kind="function">
      <type></type>
      <name>Week</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>a95d336c880593bc5d5ca922fbe68d0b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>a0358da7ce996ea7433860797676f3c05</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQValueList&lt; Week &gt;</type>
      <name>weeksFromDateRange</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>acf6cf824a3617c80b4b550f6c0d4298e</anchor>
      <arglist>(const TQDate &amp;from, const TQDate &amp;to)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>sig_slot_index</name>
    <title>Index of Signals and Slots</title>
    <filename>sig_slot_index</filename>
    <docanchor file="sig_slot_index.html" title="Summary of what each class provides">overview</docanchor>
    <docanchor file="sig_slot_index.html" title="Listing of all of the signals">signals</docanchor>
    <docanchor file="sig_slot_index.html" title="Listing of the slots">slots</docanchor>
    <docanchor file="sig_slot_index.html" title="Public Slots">public</docanchor>
    <docanchor file="sig_slot_index.html" title="Protected Slots">protected</docanchor>
    <docanchor file="sig_slot_index.html" title="Private Slots">private</docanchor>
  </compound>
  <compound kind="page">
    <name>connections</name>
    <title>Index of the signal/slot connections</title>
    <filename>connections</filename>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>%Karm API Overview</title>
    <filename>index</filename>
    <docanchor file="index.html" title="Introduction">intro</docanchor>
    <docanchor file="index.html" title="Road Map to the Classes">map</docanchor>
  </compound>
</tagfile>
